### Method

# Gtk Widget get_allocated_baseline

deprecated: 4.12

#### Declaration [src]

    int
    gtk_widget_get_allocated_baseline (
      GtkWidget* widget
    )

#### Description [src]

Returns the baseline that has currently been allocated to `widget`.

This function is intended to be used when implementing handlers for the `GtkWidget`Class.snapshot() function, and when allocating child widgets in `GtkWidget`Class.size_allocate().

Deprecated since: 4.12

Use `gtk_widget_get_baseline()` instead.

#### Return value

Type: `int`

The baseline of the `widget`, or -1 if none.